%define major          8
%define libname        %mklibname %name %major
%define libnamedev     %mklibname %name -d
%define libname_sce    %mklibname %name-engine-sce %major
%define libnamedev_sce %mklibname %name-engine-sce -d

Name:           openscap
Version:        1.2.13
Release:        %mkrel 2
Summary:        Set of open source libraries enabling integration of the SCAP line of standards
Group:          System/Libraries
License:        LGPLv2+
URL:            http://www.open-scap.org/
Source0:        https://fedorahosted.org/releases/o/p/openscap/%{name}-%{version}.tar.gz
Patch0:         openscap-1.2.10-link.patch
BuildRequires:  swig
BuildRequires:  pcre-devel
BuildRequires:  libacl-devel
BuildRequires:  libxml2-devel
BuildRequires:  libxslt-devel
BuildRequires:  libgcrypt-devel
BuildRequires:  rpm-devel
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(blkid)
BuildRequires:  pkgconfig(libcap)
BuildRequires:  pkgconfig(libselinux)

%description
OpenSCAP is a set of open source libraries providing an easier path
for integration of the SCAP line of standards. SCAP is a line of standards
managed by NIST with the goal of providing a standard language
for the expression of Computer Network Defense related information.

%package -n %{libname}
Summary:        Set of open source libraries enabling integration of the SCAP line of standards
Group:          System/Libraries
Conflicts:      %name < 0.7.2

%description -n %{libname}
OpenSCAP is a set of open source libraries providing an easier path
for integration of the SCAP line of standards. SCAP is a line of standards
managed by NIST with the goal of providing a standard language
for the expression of Computer Network Defense related information.


%package -n %{libnamedev}
Summary:        Development files for %{name}
Group:          Development/C
Requires:       %{name} = %{version}-%{release}
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Obsoletes:      %{name}-devel < 0.7.2

%description -n %{libnamedev}
The %{libnamedev} package contains libraries and header files for
developing applications that use %{name}.

%package        python
Summary:        Python bindings for %{name}
Group:          Development/Python
Requires:       %{name} = %{version}-%{release}
BuildRequires:  pkgconfig(python2)

%description    python
The %{name}-python package contains the bindings so that %{name}
libraries can be used by python.

%package        python3
Summary:        Python 3 bindings for %{name}
Group:          Development/Python
Requires:       %{name} = %{version}-%{release}
BuildRequires:  pkgconfig(python3)

%description    python3
The %{name}-python3 package contains the bindings so that %{name}
libraries can be used by python3.

%package        perl
Summary:        Perl bindings for %{name}
Group:          Development/Perl
Requires:       %{name} = %{version}-%{release}
BuildRequires:  perl-devel

%description    perl
The %{name}-perl package contains the bindings so that %{name}
libraries can be used by perl.

%package        scanner
Summary:        OpenSCAP Scanner Tool (oscap)
Group:          System/Base
Requires:       %{name} = %{version}-%{release}
BuildRequires:  pkgconfig(libcurl)

%description    scanner
The %{name}-scanner package contains oscap command-line tool. The oscap
is configuration and vulnerability scanner, capable of performing
compliance checking using SCAP content.

%package        utils
Summary:        OpenSCAP Utilities
Group:          System/Base
Requires:       %{name} = %{version}-%{release}
Requires:       %{name}-scanner = %{version}-%{release}
Requires:       rpmdevtools
Requires:       rpm-build

%description    utils
The %{name}-utils package contains command-line tools build on top
of OpenSCAP library. Historically, openscap-utils included oscap
tool which is now separated to %{name}-scanner sub-package.

%package        content-sectool
Summary:        Sectool content
Group:          System/Base
BuildArch:      noarch
Requires:       %{name} = %{version}-%{release}

%description    content-sectool
SCAP/SCE content that conforms to sectool checks.

%package        extra-probes
Summary:        SCAP probes
Group:          System/Base
Requires:       %{name} = %{version}-%{release}
BuildRequires:  openldap-devel
BuildRequires:  pkgconfig(gconf-2.0)

%description    extra-probes
The %{name}-extra-probes package contains additional probes that are not
commonly used and require additional dependencies.

%package        extra-probes-sql
Summary:        SCAP probes for Database
Group:          System/Base
Requires:       %{name} = %{version}-%{release}
BuildRequires:  pkgconfig(opendbx)

%description    extra-probes-sql
The %{name}-extra-probes-sql package contains additional OpenSCAP probes
for querying database objects. Users are advised to install appropriate
opendbx backend package along this one.

%package -n %{libname_sce}
Summary:        Script Check Engine plug-in for OpenSCAP
Group:          System/Libraries

%description -n %{libname_sce}
The Script Check Engine is non-standard extension to SCAP protocol. This
engine allows content authors to avoid OVAL language and write their assessment
commands using a scripting language (Bash, Perl, Python, Ruby, ...).

%package -n    %{libnamedev_sce}
Summary:        Development files for %{libname_sce}
Group:          Development/C
Requires:       %{libnamedev} = %{version}-%{release}
Requires:       %{libname_sce} = %{version}-%{release}
Provides:       %{name}-engine-sce-devel = %{version}-%{release}

%description -n %{libnamedev_sce}
The %{libnamedev_sce} package contains libraries and header files
for developing applications that use %{libname_sce}.

%package        containers
Summary:        Utils for scanning containers
Group:          System/Base
Requires:       %{name} = %{version}-%{release}
Requires:       %{name}-scanner
BuildArch:      noarch

%description    containers
Tool for scanning Atomic containers.

%prep
%setup -q
%autopatch -p1

%build
autoreconf -fi
%configure2_5x --enable-sce --enable-perl --enable-python3 preferred_python=%{__python3}

%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete

%files
%doc AUTHORS ChangeLog NEWS README.md
%license COPYING
%{_libexecdir}/%{name}/
%{_datadir}/%{name}/

%exclude %{_libexecdir}/%{name}/probe_ldap57
%exclude %{_libexecdir}/%{name}/probe_gconf
%exclude %{_libexecdir}/%{name}/probe_sql
%exclude %{_libexecdir}/%{name}/probe_sql57
%exclude %{_datadir}/%{name}/sectool-sce

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files python
%{python2_sitearch}/*

%files python3
%{python3_sitearch}/*

%files perl
%{perl_vendorarch}/*
%{perl_vendorlib}/*.pm

%files -n %{libnamedev}
%doc docs/{html,examples}/
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/*.pc
%exclude %{_includedir}/%{name}/sce_engine_api.h

%files -n %{libnamedev_sce}
%{_libdir}/lib%{name}_sce.so
%{_includedir}/%{name}/sce_engine_api.h

%files scanner
%{_sysconfdir}/bash_completion.d
%{_bindir}/oscap
%{_mandir}/man8/oscap.8*

%files utils
%doc docs/oscap-scan.cron
%{_bindir}/*
%{_mandir}/man8/*
%exclude %{_bindir}/oscap
%exclude %{_bindir}/oscap-docker
%exclude %{_mandir}/man8/oscap.8*
%exclude %{_mandir}/man8/oscap-docker.8*

%files content-sectool
%{_datadir}/%{name}/sectool-sce

%files extra-probes
%{_libexecdir}/%{name}/probe_ldap57
%{_libexecdir}/%{name}/probe_gconf

%files extra-probes-sql
%{_libexecdir}/%{name}/probe_sql
%{_libexecdir}/%{name}/probe_sql57

%files -n %{libname_sce}
%{_libdir}/lib%{name}_sce.so.%{major}{,.*}

%files containers
%{_bindir}/oscap-docker
%{_mandir}/man8/oscap-docker.8*
%{python3_sitelib}/oscap_docker_python/


%changelog
* Thu Jun 29 2017 pterjan <pterjan> 1.2.13-2.mga6
+ Revision: 1108662
- Add a call to autoreconf to fix build with new automake

* Fri Jan 06 2017 daviddavid <daviddavid> 1.2.13-1.mga6
+ Revision: 1080332
- new version: 1.2.13

* Wed Nov 23 2016 daviddavid <daviddavid> 1.2.12-1.mga6
+ Revision: 1069372
- new version: 1.2.12

* Thu Oct 20 2016 daviddavid <daviddavid> 1.2.11-1.mga6
+ Revision: 1062595
- new version: 1.2.11

* Fri Sep 02 2016 daviddavid <daviddavid> 1.2.10-1.mga6
+ Revision: 1049764
- new version: 1.2.10 (fixes mga#19253)
- sync partially with fedora
- enable python3 and sce support
- rename and rediff link patch

* Sat Jun 18 2016 pterjan <pterjan> 0.9.12-11.mga6
+ Revision: 1022170
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.9.12-10.mga6
+ Revision: 956550
- Mageia 6 Mass Rebuild

* Mon Sep 14 2015 fwang <fwang> 0.9.12-9.mga6
+ Revision: 879179
- drop all .la files

* Mon Sep 14 2015 fwang <fwang> 0.9.12-8.mga6
+ Revision: 879160
- rebuild for new libgcrypt

* Sun Sep 06 2015 tv <tv> 0.9.12-7.mga6
+ Revision: 873300
- rebuild with new rpm

* Wed Oct 15 2014 umeabot <umeabot> 0.9.12-6.mga5
+ Revision: 740551
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.9.12-5.mga5
+ Revision: 727525
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.9.12-4.mga5
+ Revision: 683240
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Sat Oct 19 2013 umeabot <umeabot> 0.9.12-2.mga4
+ Revision: 534741
- Mageia 4 Mass Rebuild

* Fri Sep 13 2013 sander85 <sander85> 0.9.12-1.mga4
+ Revision: 478687
- New version: 0.9.12

* Sun Jul 21 2013 sander85 <sander85> 0.9.11-1.mga4
+ Revision: 456903
- New version: 0.9.11
- rediff patches

* Sun Jan 13 2013 umeabot <umeabot> 0.8.5-5.mga3
+ Revision: 362134
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 02 2013 pterjan <pterjan> 0.8.5-4.mga3
+ Revision: 337489
- Fix for _libdir != _libexecdir

* Tue Dec 18 2012 tv <tv> 0.8.5-3.mga3
+ Revision: 332297
- rebuild for new rpm

* Sat Dec 01 2012 fwang <fwang> 0.8.5-2.mga3
+ Revision: 323672
- rebuild for new pcre

* Fri Sep 14 2012 fwang <fwang> 0.8.5-1.mga3
+ Revision: 293878
- new version 0.8.5
- new version 0.8.1

  + tv <tv>
    - rebuild for new rpm-4.10.0

* Sun Jan 15 2012 fwang <fwang> 0.8.0-1.mga2
+ Revision: 196409
- update filelist
- fix str fmt
- drop merged patch
- new version 0.8.0
- drop .la file

* Sun Apr 24 2011 pterjan <pterjan> 0.7.2-1.mga1
+ Revision: 90013
- libify
- update to 0.7.2
- fix pkg-config file
- imported package openscap

